from django.db.models.signals import post_save
from django.dispatch import receiver

from billard.models import LocationData
from billard.tasks import process_location_data


@receiver(post_save, sender=LocationData)
def update_location_data(sender, instance, **kwargs):
    process_location_data(sender=sender, kwargs=kwargs)
